/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://github.com/google/apis-client-generator/
 * (build: 1969-12-31 23:59:59 UTC)
 * on 2021-02-24 at 00:14:02 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.mybusiness.v4.model;

/**
 * Services and amenities for families and young guests.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google My Business API. For a detailed explanation
 * see:
 * <a href="https://developers.google.com/api-client-library/java/google-http-java-client/json">https://developers.google.com/api-client-library/java/google-http-java-client/json</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class Families extends com.google.api.client.json.GenericJson {

  /**
   * Babysitting. Child care that is offered by hotel staffers or coordinated by hotel staffers with
   * local child care professionals. Can be free or for a fee.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.Boolean babysitting;

  /**
   * Babysitting exception.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String babysittingException;

  /**
   * Kids activities. Recreational options such as sports, films, crafts and games designed for the
   * enjoyment of children and offered at the hotel. May or may not be supervised. May or may not be
   * at a designated time or place. Cab be free or for a fee.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.Boolean kidsActivities;

  /**
   * Kids activities exception.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String kidsActivitiesException;

  /**
   * Kids club. An organized program of group activities held at the hotel and designed for the
   * enjoyment of children. Facilitated by hotel staff (or staff procured by the hotel) in an
   * area(s) designated for the purpose of entertaining children without their parents. May include
   * games, outings, water sports, team sports, arts and crafts, and films. Usually has set hours.
   * Can be free or for a fee. Also known as Kids Camp or Kids program.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.Boolean kidsClub;

  /**
   * Kids club exception.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String kidsClubException;

  /**
   * Babysitting. Child care that is offered by hotel staffers or coordinated by hotel staffers with
   * local child care professionals. Can be free or for a fee.
   * @return value or {@code null} for none
   */
  public java.lang.Boolean getBabysitting() {
    return babysitting;
  }

  /**
   * Babysitting. Child care that is offered by hotel staffers or coordinated by hotel staffers with
   * local child care professionals. Can be free or for a fee.
   * @param babysitting babysitting or {@code null} for none
   */
  public Families setBabysitting(java.lang.Boolean babysitting) {
    this.babysitting = babysitting;
    return this;
  }

  /**
   * Babysitting exception.
   * @return value or {@code null} for none
   */
  public java.lang.String getBabysittingException() {
    return babysittingException;
  }

  /**
   * Babysitting exception.
   * @param babysittingException babysittingException or {@code null} for none
   */
  public Families setBabysittingException(java.lang.String babysittingException) {
    this.babysittingException = babysittingException;
    return this;
  }

  /**
   * Kids activities. Recreational options such as sports, films, crafts and games designed for the
   * enjoyment of children and offered at the hotel. May or may not be supervised. May or may not be
   * at a designated time or place. Cab be free or for a fee.
   * @return value or {@code null} for none
   */
  public java.lang.Boolean getKidsActivities() {
    return kidsActivities;
  }

  /**
   * Kids activities. Recreational options such as sports, films, crafts and games designed for the
   * enjoyment of children and offered at the hotel. May or may not be supervised. May or may not be
   * at a designated time or place. Cab be free or for a fee.
   * @param kidsActivities kidsActivities or {@code null} for none
   */
  public Families setKidsActivities(java.lang.Boolean kidsActivities) {
    this.kidsActivities = kidsActivities;
    return this;
  }

  /**
   * Kids activities exception.
   * @return value or {@code null} for none
   */
  public java.lang.String getKidsActivitiesException() {
    return kidsActivitiesException;
  }

  /**
   * Kids activities exception.
   * @param kidsActivitiesException kidsActivitiesException or {@code null} for none
   */
  public Families setKidsActivitiesException(java.lang.String kidsActivitiesException) {
    this.kidsActivitiesException = kidsActivitiesException;
    return this;
  }

  /**
   * Kids club. An organized program of group activities held at the hotel and designed for the
   * enjoyment of children. Facilitated by hotel staff (or staff procured by the hotel) in an
   * area(s) designated for the purpose of entertaining children without their parents. May include
   * games, outings, water sports, team sports, arts and crafts, and films. Usually has set hours.
   * Can be free or for a fee. Also known as Kids Camp or Kids program.
   * @return value or {@code null} for none
   */
  public java.lang.Boolean getKidsClub() {
    return kidsClub;
  }

  /**
   * Kids club. An organized program of group activities held at the hotel and designed for the
   * enjoyment of children. Facilitated by hotel staff (or staff procured by the hotel) in an
   * area(s) designated for the purpose of entertaining children without their parents. May include
   * games, outings, water sports, team sports, arts and crafts, and films. Usually has set hours.
   * Can be free or for a fee. Also known as Kids Camp or Kids program.
   * @param kidsClub kidsClub or {@code null} for none
   */
  public Families setKidsClub(java.lang.Boolean kidsClub) {
    this.kidsClub = kidsClub;
    return this;
  }

  /**
   * Kids club exception.
   * @return value or {@code null} for none
   */
  public java.lang.String getKidsClubException() {
    return kidsClubException;
  }

  /**
   * Kids club exception.
   * @param kidsClubException kidsClubException or {@code null} for none
   */
  public Families setKidsClubException(java.lang.String kidsClubException) {
    this.kidsClubException = kidsClubException;
    return this;
  }

  @Override
  public Families set(String fieldName, Object value) {
    return (Families) super.set(fieldName, value);
  }

  @Override
  public Families clone() {
    return (Families) super.clone();
  }

}
